Bug 1218572 - [abrt] htop: foreachProcess(): htop killed by SIGABRT
Summary: [abrt] htop: foreachProcess(): htop killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: htop
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7a249bffd1e6ade123262ae67d5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-05 09:42 UTC by Mikhail
Modified: 2016-02-25 08:53 UTC (History)
3 users (show)

Fixed In Version: htop-2.0.0-1.fc23 htop-2.0.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-25 08:53:50 UTC


Attachments (Terms of Use)
File: backtrace (5.48 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: core_backtrace (1.95 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: dso_list (930 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: environ (3.49 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: maps (4.15 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: mountinfo (3.76 KB, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: open_fds (140 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details
File: var_log_messages (610 bytes, text/plain)
2015-05-05 09:42 UTC, Mikhail
no flags Details

Description Mikhail 2015-05-05 09:42:37 UTC
Description of problem:
try send SEGV to opera flash process

Version-Release number of selected component:
htop-1.0.3-4.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        htop
crash_function: foreachProcess
executable:     /usr/bin/htop
global_pid:     2465
kernel:         4.0.1-300.fc22.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #5 foreachProcess at htop.c:196

Potential duplicate: bug 952736

Comment 1 Mikhail 2015-05-05 09:42:40 UTC
Created attachment 1022123 [details]
File: backtrace

Comment 2 Mikhail 2015-05-05 09:42:41 UTC
Created attachment 1022124 [details]
File: cgroup

Comment 3 Mikhail 2015-05-05 09:42:43 UTC
Created attachment 1022125 [details]
File: core_backtrace

Comment 4 Mikhail 2015-05-05 09:42:44 UTC
Created attachment 1022126 [details]
File: dso_list

Comment 5 Mikhail 2015-05-05 09:42:45 UTC
Created attachment 1022127 [details]
File: environ

Comment 6 Mikhail 2015-05-05 09:42:47 UTC
Created attachment 1022128 [details]
File: limits

Comment 7 Mikhail 2015-05-05 09:42:48 UTC
Created attachment 1022129 [details]
File: maps

Comment 8 Mikhail 2015-05-05 09:42:49 UTC
Created attachment 1022130 [details]
File: mountinfo

Comment 9 Mikhail 2015-05-05 09:42:50 UTC
Created attachment 1022131 [details]
File: namespaces

Comment 10 Mikhail 2015-05-05 09:42:52 UTC
Created attachment 1022132 [details]
File: open_fds

Comment 11 Mikhail 2015-05-05 09:42:53 UTC
Created attachment 1022133 [details]
File: proc_pid_status

Comment 12 Mikhail 2015-05-05 09:42:55 UTC
Created attachment 1022134 [details]
File: var_log_messages

Comment 13 Fedora Admin XMLRPC Client 2015-09-30 19:24:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2015-09-30 21:57:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Update System 2016-02-11 20:34:38 UTC
htop-2.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76c2d6e9e1

Comment 16 Fedora Update System 2016-02-11 20:35:15 UTC
htop-2.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f0395b6b

Comment 17 Fedora Update System 2016-02-12 13:51:23 UTC
htop-2.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f0395b6b

Comment 18 Fedora Update System 2016-02-14 16:22:59 UTC
htop-2.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76c2d6e9e1

Comment 19 Fedora Update System 2016-02-15 02:49:53 UTC
htop-2.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-02-15 15:02:17 UTC
htop-2.0.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f0395b6b

Comment 21 Fedora Update System 2016-02-17 06:27:50 UTC
htop-2.0.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f0395b6b

Comment 22 Fedora Update System 2016-02-25 08:53:42 UTC
htop-2.0.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.